Bug 1006870 - Exporting locked nodes produces exception
Exporting locked nodes produces exception
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 08:26 EDT by Horia Chiorean
Modified: 2016-02-10 03:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:50:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2035 Major Closed Can't export to system view while node locked 2017-11-15 07:58 EST

  None (edit)
Description Horia Chiorean 2013-09-11 08:26:50 EDT
Attempting to export either a system view or a document view of a hierarchy of nodes some of which are locked, produces an exception.
Comment 1 JBoss JIRA Server 2013-09-11 12:11:49 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2035

Fixed the {{mode:lock}} node type. In addition, this exposed another problem: XmlNameEncoder did not correctly validate the start characters of XML elements, according to: [http://www.w3.org/TR/xml/#NT-NameStartChar].
Comment 2 JBoss JIRA Server 2013-09-11 13:22:25 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2035

Rebased and merged into the 'master' branch. Leaving open until it can be cherry-picked into the '3.3.x-prod-ip6.0' branch.
Comment 3 JBoss JIRA Server 2013-09-11 13:23:09 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2035

Note that the corrected {{mode:lock}} node type will need to be re-registered using the new upgrade facility (see MODE-2044).
Comment 9 JBoss JIRA Server 2013-10-24 05:23:07 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2035 to Closed
Comment 10 belong 2013-11-19 18:18:47 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.